## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XStringAdapterAllocator Class Reference

List of all members.

## Public Types

- typedef XStringAdapter string_type
- typedef ReusableArenaAllocator<
  string_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XStringAdapterAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XStringAdapterAllocator ()
- string_type * createString (const XObjectPtr &theXObject)
    Create an XString object from a string.
- bool destroy (string_type *theString)
    Delete an XStringAdapter object from allocator.
- bool ownsObject (const string_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XStringAdapter objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ReusableArenaAllocator<string_type> XStringAdapterAllocator::ArenaAllocatorType

typedef ArenaAllocatorType::size_type XStringAdapterAllocator::size_type

typedef XStringAdapter XStringAdapterAllocator::string_type

## Constructor & Destructor Documentation

XStringAdapterAllocator::XStringAdapterAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XStringAdapterAllocator::~XStringAdapterAllocator | ( |  | ) |

## Member Function Documentation

string_type* XStringAdapterAllocator::createString | ( | const XObjectPtr & | theXObject | ) |

  | Create an XString object from a string. Parameters:
  theXObject | The source XObject
Returns: a pointer to string

bool XStringAdapterAllocator::destroy | ( | string_type * | theString | ) |

| Delete an XStringAdapter object from allocator.

size_type XStringAdapterAllocator::getBlockCount | ( |  | ) | const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XStringAdapterAllocator::getBlockSize | ( |  | ) | const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XStringAdapterAllocator::ownsObject | ( | const string_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XStringAdapterAllocator::reset | ( |  | ) |

| Delete all XStringAdapter objects from allocator.

The documentation for this class was generated from the following file:

- XStringAdapterAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.